[MINOR] rhel init script : support the reload operation
The reload operation in the Red Hat init script caused a restart
which is not always the best thing to do. Implement the reload.
diff --git a/examples/haproxy.init b/examples/haproxy.init
index 4de71ee..942d959 100644
--- a/examples/haproxy.init
+++ b/examples/haproxy.init
@@ -71,6 +71,15 @@
start
}
+reload() {
+ /usr/sbin/$BASENAME -c -q -f /etc/$BASENAME/$BASENAME.cfg
+ if [ $? -ne 0 ]; then
+ echo "Errors found in configuration file, check it with '$BASENAME check'."
+ return 1
+ fi
+ /usr/sbin/$BASENAME -D -f /etc/$BASENAME/$BASENAME.cfg -p /var/run/$BASENAME.pid -sf $(cat /var/run/$BASENAME.pid)
+}
+
check() {
/usr/sbin/$BASENAME -c -q -V -f /etc/$BASENAME/$BASENAME.cfg
}
@@ -95,7 +104,7 @@
restart
;;
reload)
- restart
+ reload
;;
condrestart)
condrestart